Request

Response

    Attachments
    GET

    attachments

    Retrieves information about all the attachments in a project associated with a specific BIM 360 Project Management RFI.

    Note that this endpoint is compatible with both BIM 360 and Forma projects.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/bim360/rfis/v2/containers/:containerId/rfis/:rfiId/attachments
    Authentication Context
    user context required
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow.
    * Required

    Request

    URI Parameters

    containerId
    string
    The ID of the container. Each project is assigned a container that stores all the RFIs for the project. To find the ID, see the Retrieve a Container ID tutorial.
    rfiId
    string
    The ID of the RFI.

    Request

    Query String Parameters

    limit
    int
    The number of RFIs to return in the response payload. Acceptable values: 1-200. Default value: 10. For example, to limit the response to two RFIs per page, use limit=2
    offset
    int
    The page number that you want to begin RFI results from. For example, to begin the results from page three, use offset=3
    fields
    array: string
    Specify which attributes you want to see in the response. Separate multiple values with commas. For example, fields=title,description.
    filter[includeDeleted]
    boolean
    Include deleted attachments in the response.
    sort
    array: string
    Sort the attachments by specified attributes. For example, sort=createdAt. Separate multiple values with commas.

    Response

    HTTP Status Code Summary

    200
    OK
    Success
    400
    Bad Request
    The parameters are invalid
    401
    Unauthorized
    The provided bearer token is not valid
    403
    Forbidden
    The user or service represented by the bearer token does not have permission to perform this operation
    500
    Internal Server Error
    An unknown error occurred on the server

    Response

    Body Structure (200)

    Expand all
    results
    array: object
    The list of attachments.
    id
    string: UUID
    The ID of the attachment.
    rfiId
    string
    The ID of the RFI associated with the attachment.
    createdAt
    datetime: ISO 8601
    The timestamp of the date and time the attachment was created, in the following format: YYYY-MM-DDThh:mm:ss.sz.
    updatedAt
    datetime: ISO 8601
    The last date and time the attachment attributes were updated, in the following format: YYYY-MM-DDThh:mm:ss.sz.
    createdBy
    string
    The Autodesk ID of the user who added the attachment. To check the name of the user, call GET projects/users.
    deletedAt
    datetime: ISO 8601
    The timestamp of the date and time the attachment was deleted, in the following format: YYYY-MM-DDThh:mm:ss.sz. This is only relevant for deleted attachments.
    deletedBy
    string
    The Autodesk ID of the user who deleted the attachment. To check the name of the user, call GET projects/users. This is only relevant for deleted attachments.
    name
    string
    The name of the attachment.
    url
    string
    The URL of the storage location for the attachment.
    urn
    string
    The ID (item ID) of the document associated with the RFI. For more details, see the Upload Attachment tutorial.

    Max length: 400

    urnType
    enum:string
    The type of attachment URN. Possible values:

    dm - for a BIM 360 Document Management file

    oss - for a local file

    attachmentType
    enum:string
    The type of attachment. Possible values: photo, document
    permittedActions
    object
    A list of actions that are permitted for the current user.
    removeAttachment
    boolean
    true if the current user can delete the attachment

    false if the current user cannot delete the attachment

    pagination
    object
    The pagination object.
    limit
    int
    The number of items per page.
    offset
    int
    The page number that the results begin from.
    totalResults
    int
    The number of items in the response.

    Example

    Success

    Request

    curl -v 'https://developer.api.autodesk.com/bim360/rfis/v2/containers/:containerId/rfis/:rfiId/attachments' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "results": [
        {
          "id": "c911852d-5957-4145-9c8d-e7cfe9d564df",
          "rfiId": "0d302fc6-00a5-45ca-a9df-4427b9247c81",
          "createdAt": "2018-08-01T08:56:48.699Z",
          "updatedAt": "",
          "createdBy": "PER8KQPK2JRT",
          "deletedAt": "2018-08-01T08:56:48.699Z",
          "deletedBy": "PER8KQPK2JRT",
          "name": "Photo.png",
          "url": "null",
          "urn": "urn:adsk.wipprod:dm.lineage:1t7QY9-JSxCB0TLh1qMvFQ",
          "urnType": "dm",
          "attachmentType": "photo",
          "permittedActions": {
            "removeAttachment": ""
          }
        }
      ],
      "pagination": {
        "limit": 10,
        "offset": 0,
        "totalResults": 97
      }
    }
    
    Show More